org.richfaces.renderkit

## Class ExtendedDataTableRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.AbstractRowsRenderer
      - - org.richfaces.renderkit.SortingFilteringRowsRenderer
        - - org.richfaces.renderkit.SelectionRenderer
          - - org.richfaces.renderkit.ExtendedDataTableRenderer

- All Implemented Interfaces:
    org.richfaces.model.DataVisitor, org.richfaces.ui.common.meta.MetaComponentRenderer

      public class ExtendedDataTableRenderer
      extends SelectionRenderer
      implements org.richfaces.ui.common.meta.MetaComponentRenderer

  Author:
    Konstantin Mishin

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedDataTableRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeTableState(javax.faces.context.FacesContext facesContext, UIDataTableBase table, ExtendedDataTableState tableState)`
    `org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState` | `createRowHolder(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object[] options)`
    `void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeBody(org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState state)`
    `void` | `encodeFooter(org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState state)`
    `void` | `encodeHeader(org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState state)`
    `void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
    `void` | `encodeRow(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, RowHolderBase rowHolder)`
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `protected String` | `getCSSText(javax.faces.context.FacesContext context, UIDataTableBase table)`

    - ### Methods inherited from class org.richfaces.renderkit.SelectionRenderer

      `encodeSelectionInput`

    - ### Methods inherited from class org.richfaces.renderkit.SortingFilteringRowsRenderer

      `decodeFiltering, decodeSorting, decodeSortingFiltering, updateAttribute`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `doCleanup, encodeFakeRow, encodeRows, get, getColumnClass, getColumnClasses, getRendersChildren, getRowClass, getRowClassAttribute, getRowClasses, process, processRows, put, renderRowHandlers`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedDataTableRenderer

          public ExtendedDataTableRenderer()

  - ### Method Detail

    - #### encodeHeader

          public void encodeHeader(org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState state)
                            throws IOException

      Throws:
        `IOException`

    - #### encodeBody

          public void encodeBody(org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState state)
                          throws IOException

      Throws:
        `IOException`

    - #### encodeFooter

          public void encodeFooter(org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState state)
                            throws IOException

      Throws:
        `IOException`

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Overrides:
        `getComponentClass` in class `org.richfaces.renderkit.RendererBase`

    - #### encodeMetaComponent

          public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String metaComponentId)
                                   throws IOException

      Specified by:
        `encodeMetaComponent` in interface `org.richfaces.ui.common.meta.MetaComponentRenderer`
      Throws:
        `IOException`

    - #### decodeMetaComponent

          public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String metaComponentId)

      Specified by:
        `decodeMetaComponent` in interface `org.richfaces.ui.common.meta.MetaComponentRenderer`

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws IOException

      Overrides:
        `doEncodeBegin` in class `org.richfaces.renderkit.RendererBase`
      Throws:
        `IOException`

    - #### createRowHolder

          public org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState createRowHolder(javax.faces.context.FacesContext context,
                                                                                        javax.faces.component.UIComponent component,
                                                                                        Object[] options)

      Specified by:
        `createRowHolder` in class `AbstractRowsRenderer`

    - #### doEncodeChildren

          protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                                   throws IOException

      Overrides:
        `doEncodeChildren` in class `AbstractRowsRenderer`
      Throws:
        `IOException`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws IOException

      Overrides:
        `doEncodeEnd` in class `org.richfaces.renderkit.RendererBase`
      Throws:
        `IOException`

    - #### getCSSText

          protected String getCSSText(javax.faces.context.FacesContext context,
                          UIDataTableBase table)
                               throws IOException

      Throws:
        `IOException`

    - #### encodeRow

          public void encodeRow(javax.faces.context.ResponseWriter writer,
                       javax.faces.context.FacesContext facesContext,
                       RowHolderBase rowHolder)
                         throws IOException

      Specified by:
        `encodeRow` in class `AbstractRowsRenderer`
      Throws:
        `IOException`

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `SelectionRenderer`

    - #### consumeTableState

          public void consumeTableState(javax.faces.context.FacesContext facesContext,
                               UIDataTableBase table,
                               ExtendedDataTableState tableState)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.